Bug 64662 (CalendarAPI) - Support for Calendar API
Summary: Support for Calendar API
Status: RESOLVED WONTFIX
Alias: CalendarAPI
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P4 Enhancement
Assignee: Nobody
URL: http://www.w3.org/TR/2011/WD-calendar...
Keywords:
Depends on:
Blocks: DAP
  Show dependency treegraph
 
Reported: 2011-07-16 20:26 PDT by Donggwan Kim
Modified: 2013-07-16 22:52 PDT (History)
11 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Donggwan Kim 2011-07-16 20:26:21 PDT
There is no Calendar API implementation in WebKit
This API is a new feature that is published by W3C.
The Device APIs Working Group of W3C has just released a Working Draft of its Calendar API:
    http://www.w3.org/TR/2011/WD-calendar-api-20110419/

So we need to implement it.

I'd like to implement it and I'm implementing it now.

I'm going to commit patch for Calendar API implementation very soon

Thank you
Comment 1 James Robinson 2011-07-18 12:31:18 PDT
(In reply to comment #0)
> There is no Calendar API implementation in WebKit
> This API is a new feature that is published by W3C.
> The Device APIs Working Group of W3C has just released a Working Draft of its Calendar API:
>     http://www.w3.org/TR/2011/WD-calendar-api-20110419/
> 
> So we need to implement it.

The fact that a standard exists does not mean that we have to implement it.  Adam Barth raised some valid points here: https://lists.webkit.org/pipermail/webkit-dev/2011-July/017621.html that I think should be addressed before any code lands.